Subject: Re: How to import bzr repository into git

From: Gabriel Filion <[email-masked]>
Date: Fri, 19 Nov 2010 16:34:11 -0500

On 11/18/2010 11:38 AM, Jonathan Nieder wrote:
> Jonathan Nieder wrote:
>> Ævar Arnfjörð Bjarmason wrote:
>>> On Thu, Nov 18, 2010 at 15:34, Dmitri Pissarenko
>>> <[email-masked]> wrote:
> 
>>>> However, I had to give up this idea due to an "out of memory" error
>>>> during bzr-export.
>>>
>>> Buy more memory or use more swap?
>>
>> Or report it as a bug/wanted feature?
>>
>> Cc-ing Jelmer Vernooij in the hope that he might be able to point
>> to the right person for that.
> 
> This time with a valid email address (sorry for the noise).

right! I did see this with this particular workflow:

bzr branch lp:bzr
git init bzr.git
cd bzr.git
bzr fast-export ../bzr | git fast-import

the weird thing is that using fastimport directly with the lp:bzr
address (not "logged in" to launchpad, so in practice via HTTP) instead
of a local copy of the directory took a very long time but worked.

So I guess there's probably a memory leak when using local files.

other than bzr-fastimport, there is also bzr-git, which seems to support
some form of pushing (bzr dpush).

There are also mentions, in different discussions, of tailor:

http://wiki.darcs.net/RelatedSoftware/Tailor

And finally, the git wiki mentions BzrToGit

https://git.wiki.kernel.org/index.php/Interfaces,_frontends,_and_tools#BzrToGit

However, I have not thoroughly tested these tools and I have yet to find
something that works right in all cases. If you give these tools a try,
I'd be glad to hear about your experience with them.

-- 
Gabriel Filion